import styles from "./Styles.module.css";
export const Input = ({
  value,
  onChange,
  placeholder,
  type,
  icon: Icon,
  ...props
}) => {
  return (
    <div className={styles.input}>
      {Icon && (
        <span className={styles.icon}>
          <Icon />
        </span>
      )}
      <input
        value={value}
        placeholder={placeholder}
        type={type}
        onChange={onChange}
        {...props}
      />
    </div>
  );
};
